extends ../_docs-template

block vars
  - var activeLink = 'react';
  - var title = 'App React Component | Framework7 React Documentation';

block docs-index

block content

  .docs-nav
    include ../_docs-menu-react
  .docs-content
    .motion-docs-page-title
      h1 App React Component
      script(src="/js/motion/app.js")
      f7-motion-app(motion)

    p App React component is the main Framework7 app component where all the <a href="../docs/app.html">Framework7 core initialization</a> happens and where you pass all main Framework7 parameters.
    h2 App Components
    p There are following components included:
    ul
      li `App`
    h2 App Properties
    p `App` component receives all <a href="/docs/app.html#app-parameters" target="_blank">App parameters</a> as component props.

    h2 Examples
    :code(lang="jsx")
      import AboutPage from './about.jsx';
      import ServicesPage from './services.jsx';

      const f7params = {
        name: 'My App',
        // routes
        routes: [
          {
            path: '/about/',
            component: AboutPage,
          },
          {
            path: '/services/',
            component: ServicesPage,
          },
        ],
        // ... other params
      }
      export default () => (
        <App {...f7params}>
          ...
        </App>
      );
